Subject: Re: bug#44456: Windows10 doesn't allow either windows keys as hyper?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Nov 2020 19:47:50 +0200

> From: Steve Greenburg <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Thu, 5 Nov 2020 17:05:10 +0000
> 
> The documentation for w32-register-hotkey says it is [h-] so I used
> that.

I fixed the documentation, thanks.

> Using [H-] does work as long as I
> change the variable before calling w32-register-hot-key like so:
> 
> (setq w32-lwindow-modifier 'hyper) 
> (w32-register-hot-key [H-])
> (setq w32-pass-lwindow-to-system nil)

That's okay, the manual and the doc string indeed say this should be
the order: first set w32-l/rwindow-modifier, then call
w32-register-hot-key.

With this, I'm closing the bug report.